Package commoble.morered.client

# Class GatecraftingScreen.RecipeButton

java.lang.Object
net.minecraft.client.gui.GuiComponent
net.minecraft.client.gui.components.AbstractWidget
net.minecraft.client.gui.components.AbstractButton
net.minecraft.client.gui.components.Button
net.minecraftforge.client.gui.widget.ExtendedButton
commoble.morered.client.GatecraftingScreen.RecipeButton

All Implemented Interfaces:
  `net.minecraft.client.gui.components.events.GuiEventListener`, `net.minecraft.client.gui.components.Widget`, `net.minecraft.client.gui.narration.NarratableEntry`, `net.minecraft.client.gui.narration.NarrationSupplier`

Enclosing class:
  GatecraftingScreen

public static class GatecraftingScreen.RecipeButton extends net.minecraftforge.client.gui.widget.ExtendedButton

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.client.gui.components.Button

`net.minecraft.client.gui.components.Button.OnPress, net.minecraft.client.gui.components.Button.OnTooltip`

## Nested classes/interfaces inherited from interface net.minecraft.client.gui.narration.NarratableEntry

`net.minecraft.client.gui.narration.NarratableEntry.NarrationPriority`

## Field Summary

Fields
Modifier and Type
Field
Description
`net.minecraft.world.item.ItemStack`
`tooltipItem`

### Fields inherited from class net.minecraft.client.gui.components.Button

`DEFAULT_HEIGHT, DEFAULT_WIDTH, NO_TOOLTIP, onPress, onTooltip, SMALL_WIDTH`

### Fields inherited from class net.minecraft.client.gui.components.AbstractWidget

`active, alpha, height, isHovered, packedFGColor, UNSET_FG_COLOR, visible, WIDGETS_LOCATION, width, x, y`

### Fields inherited from class net.minecraft.client.gui.GuiComponent

`BACKGROUND_LOCATION, GUI_ICONS_LOCATION, STATS_ICON_LOCATION`

### Fields inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`DOUBLE_CLICK_THRESHOLD_MS`

## Constructor Summary

Constructors
Constructor
Description
`RecipeButton(GatecraftingScreen screen, net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer> recipe, int x, int y, int width)`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getHeightForRecipe(net.minecraft.world.item.crafting.Recipe<?> recipe)`
`static net.minecraft.world.item.ItemStack`
`getIngredientVariant(net.minecraft.world.item.ItemStack[] variants)`
`boolean`
`mouseDragged(double mouseX, double mouseY, int button, double deltaX, double deltaY)`
`static void`
`onButtonClicked(GatecraftingMenu container, net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer> recipe)`
`void`
`onClickButton()`
`void`
`renderButton(com.mojang.blaze3d.vertex.PoseStack matrix, int mouseX, int mouseY, float partial)`
Draws this button to the screen.
`void`
`scrollButton(int currentScrollAmount)`

### Methods inherited from class net.minecraft.client.gui.components.Button

`onPress, renderToolTip, updateNarration`

### Methods inherited from class net.minecraft.client.gui.components.AbstractButton

`keyPressed, onClick`

### Methods inherited from class net.minecraft.client.gui.components.AbstractWidget

`changeFocus, clearFGColor, clicked, createNarrationMessage, defaultButtonNarrationText, getFGColor, getHeight, getMessage, getWidth, getYImage, isActive, isFocused, isHoveredOrFocused, isMouseOver, isValidClickButton, mouseClicked, mouseReleased, narrationPriority, onDrag, onFocusedChanged, onRelease, playDownSound, render, renderBg, setAlpha, setFGColor, setFocused, setHeight, setMessage, setWidth, wrapDefaultNarrationMessage`

### Methods inherited from class net.minecraft.client.gui.GuiComponent

`blit, blit, blit, blit, blit, blitOutlineBlack, disableScissor, drawCenteredString, drawCenteredString, drawCenteredString, drawString, drawString, drawString, enableScissor, fill, fillGradient, fillGradient, fillGradient, getBlitOffset, hLine, setBlitOffset, vLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`charTyped, keyReleased, mouseMoved, mouseScrolled`

## Field Details

### tooltipItem

public net.minecraft.world.item.ItemStack tooltipItem

## Constructor Details

### RecipeButton

public RecipeButton(GatecraftingScreen screen, net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer> recipe, int x, int y, int width)

## Method Details

### onButtonClicked

public static void onButtonClicked(GatecraftingMenu container, net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer> recipe)

### getHeightForRecipe

public static int getHeightForRecipe(net.minecraft.world.item.crafting.Recipe<?> recipe)

### mouseDragged

public boolean mouseDragged(double mouseX, double mouseY, int button, double deltaX, double deltaY)

Specified by:
  `mouseDragged` in interface `net.minecraft.client.gui.components.events.GuiEventListener`
Overrides:
  `mouseDragged` in class `net.minecraft.client.gui.components.AbstractWidget`

### renderButton

public void renderButton(com.mojang.blaze3d.vertex.PoseStack matrix, int mouseX, int mouseY, float partial)
Draws this button to the screen.

Overrides:
  `renderButton` in class `net.minecraftforge.client.gui.widget.ExtendedButton`

### getIngredientVariant

public static net.minecraft.world.item.ItemStack getIngredientVariant(net.minecraft.world.item.ItemStack[] variants)

### scrollButton

public void scrollButton(int currentScrollAmount)

### onClickButton

public void onClickButton()